clear
import excel "C:\Users\dc33\Desktop\research\judgment of trend\jebo inflation\jmcb resubmission\num test13-20.xlsx", sheet("Data") firstrow

g initialdata = 0
replace initialdata = 1 if date < 201701

g inflate = 0
replace inflate = 1  if Q8v2 == 1


g numeracy =.
replace numeracy = 1 if _NUM_CAT == "High"
replace numeracy = 0 if _NUM_CAT == "Low"

drop  if Q8v2part2 ==0

*FDF
g FDFinflation = 0
replace FDFinflation = 1 if Q9_mean > 0 & Q9_mean < .

bysort date: sum FDFinflat if num == 1

bysort date: sum inflat if num == 1

bysort date: sum FDFinflat if num == 0

bysort date: sum inflat if num == 0

bysort date: sum Q9_mean if num == 1

bysort date: sum Q9_mean if num == 0

*non-response

g FDFnonresponse = 0 
replace FDFnonresponse = 1 if Q9_mean == . 
g verbalnonresponse = 0
replace verbalnonresponse = 1 if Q8v2 == .

g contradiction = .
replace contr = 0 if FDFinfl == inflate & FDFnonre == 0 & verbalnonre == 0
replace contr = 1 if FDFinfl  != inflate & FDFnonre == 0 & verbalnonre == 0

g mediancontr = 0
replace mediancontr = 1 if Q9_cent50 > 0 & inflate == 0
replace mediancontr = 1 if Q9_cent50 < 0 & inflate == 1

g unambigcont = .
replace unambigcont = 0 if  FDFnonre == 0 & verbalnonre == 0
replace unambigcont = 1 if contradiction == 1 & mediancont == 1 
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin5 > Q9_bin6 & Q9_bin5 > Q9_bin7 & Q9_bin5 > Q9_bin8 & Q9_bin5 > Q9_bin9 & Q9_bin5 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin4 > Q9_bin6 & Q9_bin4 > Q9_bin7 & Q9_bin4 > Q9_bin8 & Q9_bin4 > Q9_bin9 & Q9_bin4 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin3 > Q9_bin6 & Q9_bin3 > Q9_bin7 & Q9_bin3 > Q9_bin8 & Q9_bin3 > Q9_bin9 & Q9_bin3 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin2 > Q9_bin6 & Q9_bin2 > Q9_bin7 & Q9_bin2 > Q9_bin8 & Q9_bin2 > Q9_bin9 & Q9_bin2 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin1 > Q9_bin6 & Q9_bin1 > Q9_bin7 & Q9_bin1 > Q9_bin8 & Q9_bin1 > Q9_bin9 & Q9_bin1 > Q9_bin10  

replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin6 > Q9_bin5 & Q9_bin6 > Q9_bin4 & Q9_bin6 > Q9_bin3 & Q9_bin6 > Q9_bin2 & Q9_bin6 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin7 > Q9_bin5 & Q9_bin7 > Q9_bin4 & Q9_bin7 > Q9_bin3 & Q9_bin7 > Q9_bin2 & Q9_bin7 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin8 > Q9_bin5 & Q9_bin8 > Q9_bin4 & Q9_bin8 > Q9_bin3 & Q9_bin8 > Q9_bin2 & Q9_bin8 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin9 > Q9_bin5 & Q9_bin9 > Q9_bin4 & Q9_bin9 > Q9_bin3 & Q9_bin9 > Q9_bin2 & Q9_bin9 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin10 > Q9_bin5 & Q9_bin10 > Q9_bin4 & Q9_bin10 > Q9_bin3 & Q9_bin10 > Q9_bin2 & Q9_bin10 > Q9_bin1  


g n1 = 0 if QNUM1 <.
replace n1 = 1 if QNUM1 == 150
g n2 = 0 if QNUM2 <.
replace n2 = 1 if QNUM2 == 242
g n3 = 0 if QNUM3 <.
replace n3 = 1 if QNUM3 == 10
g n5 = 0 if QNUM5 <.
replace n5 = 1 if QNUM5 == 100
g n6 = 0 if QNUM6 <.
replace n6 = 1 if QNUM6 == 5
g n8 = 0 if QNUM8 <.
replace n8 = 1 if QNUM8 == 3
g n9 = 0 if QNUM9 <.
replace n9 = 1 if QNUM9 == 2



logit contra n1 n2 n3 n5 n6 n8 n9

keep if QNUM2 == 240 | QNUM2 == 242
logit contra n2 
